---
title: EventListener.handleEvent()
slug: Web/API/EventListener/handleEvent
tags:
  - API
  - Callback
  - DOM
  - DOM Events
  - Event Callback
  - Event Handler
  - Event Processing
  - EventListener
  - Handling Events
  - Method
  - Reference
  - events
  - handleEvent
---
<div>{{APIRef("DOM Events")}}</div>

<p><span class="seoSummary">The {{domxref("EventListener")}} method <code><strong>handleEvent()</strong></code> method is called by the {{Glossary("user agent")}} when an event is sent to the <code>EventListener</code>, in order to handle events that occur on an observed {{domxref("EventTarget")}}.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><code><var>eventListener</var>.handleEvent(<var>event</var>);</code>
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
	<dt><strong><code>event</code></strong></dt>
	<dd>An {{domxref("Event")}} object describing the event that has been fired and needs to be processed.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p><code>undefined</code>. If you return a value, the browser will ignore it.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('DOM WHATWG', '#dom-eventlistener-handleevent', 'EventListener.handleEvent()')}}</td>
			<td>{{Spec2('DOM WHATWG')}}</td>
			<td>No change.</td>
		</tr>
		<tr>
			<td>{{SpecName('DOM2 Events', '#Events-EventListener-handleEvent', 'EventListener.handleEvent()')}}</td>
			<td>{{Spec2('DOM2 Events')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.EventListener.handleEvent")}}</p>
